import { CustomVariablesService } from './custom-variables.service';
import { CreateCustomVariableDto, UpdateCustomVariableDto } from './dto/custom-variable.dto';
import { CustomVariable } from '../core-entities';
export declare class CustomVariablesController {
    private readonly customVariablesService;
    constructor(customVariablesService: CustomVariablesService);
    create(createCustomVariableDto: CreateCustomVariableDto): Promise<CustomVariable>;
    findAll(): Promise<CustomVariable[]>;
    findOne(id: string): Promise<CustomVariable>;
    update(id: string, updateCustomVariableDto: UpdateCustomVariableDto): Promise<CustomVariable>;
    remove(id: string): Promise<void>;
    reorder(orderedIds: string[]): Promise<void>;
}
